## org.eclipse.jst.jsf.core.jsfappconfig
Class AbstractJSFAppConfigProvider

    java.lang.Object
      org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigProvider

All Implemented Interfaces:
  IJSFAppConfigProvider

Direct Known Subclasses:
  ArtifactEditJSFAppConfigProvider, ImplicitRuntimeJSFAppConfigProvider, JARFileJSFAppConfigProvider

    public abstract class AbstractJSFAppConfigProvider

extends java.lang.Object
implements IJSFAppConfigProvider

Abstract implementation of `IJSFAppConfigProvider` that provides common provider functionality. `IJSFAppConfigProvider` instances should extend this class or provide similar functionality.

Provisional API - subject to change

Constructor Summary
`AbstractJSFAppConfigProvider()`

Method Summary
`abstract FacesConfigType` `getFacesConfigModel()` Gets the root element of the application configuration model for read access.
`abstract void` `releaseFacesConfigModel()` Releases resources associated with acquiring the application configuration model (if any).
`void` `setJSFAppConfigLocater(IJSFAppConfigLocater locater)` Sets the `IJSFAppConfigLocater` instance that located this instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJSFAppConfigProvider

    public AbstractJSFAppConfigProvider()

Method Detail

### setJSFAppConfigLocater

    public void setJSFAppConfigLocater(IJSFAppConfigLocater locater)

  Description copied from interface: `IJSFAppConfigProvider`
  Sets the `IJSFAppConfigLocater` instance that located this instance.

  Specified by:
    `setJSFAppConfigLocater` in interface `IJSFAppConfigProvider`
  Parameters:
    `locater` - `IJSFAppConfigLocater` instance that located this instance.

### getFacesConfigModel

    public abstract FacesConfigType getFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Gets the root element of the application configuration model for read access.

  Specified by:
    `getFacesConfigModel` in interface `IJSFAppConfigProvider`
  Returns:
    FacesConfigType instance, which is the root element of an application configuration model.

### releaseFacesConfigModel

    public abstract void releaseFacesConfigModel()

  Description copied from interface: `IJSFAppConfigProvider`
  Releases resources associated with acquiring the application configuration model (if any).

  Specified by:
    `releaseFacesConfigModel` in interface `IJSFAppConfigProvider`